Subject: Re: [PATCH] edac: fix i7core build

From: Mauro Carvalho Chehab <[email-masked]>
Date: Sun, 8 Nov 2009 01:45:51 -0200

Em Wed, 4 Nov 2009 13:57:33 -0800
Randy Dunlap <[email-masked]> escreveu:

> From: Randy Dunlap <[email-masked]>
> 
> Fix build warning (missing header file) and
> build error when CONFIG_SMP=n.
> 
> drivers/edac/i7core_edac.c:860: error: implicit declaration of function 'msleep'
> drivers/edac/i7core_edac.c:1700: error: 'struct cpuinfo_x86' has no member named 'phys_proc_id'
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> Cc: Mauro Carvalho Chehab <[email-masked]>

Hi Randy,

Thank you for the patch.

FYI, I've just added your and Alan's fixes on my linux-next tree for i7core:

http://git.kernel.org/?p=linux/kernel/git/mchehab/i7core.git;a=commit;h=0480ce880b999703fbb73912054f4de187da543a
http://git.kernel.org/?p=linux/kernel/git/mchehab/i7core.git;a=commit;h=df0a7a70df5e9c5d612b249661f8b3883be41331

Sorry for not doing it earlier. I was handling a big backlog I had here, due to
a training course and my trip to Japan (that happened at the week after the training).

Cheers,
Mauro